package com.aeqweb.httpimage;

//More information at: https://www.aeq-web.com/android-downlaod-image-from-php-server/?ref=androidstudio

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Color;
import android.os.AsyncTask;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import java.io.InputStream;

public class MainActivity extends AppCompatActivity {

    TextView txt;
    boolean download_ok;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        txt = (TextView)findViewById(R.id.textView);
        Button button= (Button) findViewById(R.id.button);
        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                new DownloadImageFromInternet((ImageView) findViewById(R.id.imageView))
                        .execute("http://testserver.aeq-web.com/android_load_image/index.php");
            }
        });
    }
    private class DownloadImageFromInternet extends AsyncTask<String, Void, Bitmap> {
        ImageView imageView;

        public DownloadImageFromInternet(ImageView imageView) {
            this.imageView = imageView;
            txt.setTextColor(Color.GRAY);
            txt.setText("Try to download image....");
        }

        protected Bitmap doInBackground(String... urls) {
            String imageURL = urls[0];
            Bitmap d_image = null;
            try {
                InputStream in = new java.net.URL(imageURL).openStream();
                d_image = BitmapFactory.decodeStream(in);
                download_ok = true;
            } catch (Exception e) {
                download_ok = false;
                e.printStackTrace();
            }
            return d_image;
        }

        protected void onPostExecute(Bitmap result) {
            txt_update();
            imageView.setImageBitmap(result);
        }

        void txt_update (){
            if(download_ok == true) {
                txt.setTextColor(Color.GREEN);
                txt.setText("Image was successfully downloaded");
            }else {
                txt.setTextColor(Color.RED);
                txt.setText("Image could not be downloaded");
            }
        }
    }

    }
